Skip to content

getShipment

READ

Get shipment.

POST /api/v1/inventory/getShipment
curl -X POST '<your-host>/api/v1/inventory/getShipment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipmentId": "string"
  }'
Response
{
  "assignee": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customerId": "string",
  "customFields": "…",
  "externalDocumentId": "string",
  "externalNotes": "…",
  "id": "string",
  "internalNotes": "…",
  "invoiced": true,
  "locationId": "string",
  "opportunityId": "string",
  "postedBy": "string",
  "postingDate": "string",
  "shipmentId": "string",
  "shippingMethodId": "string",
  "sourceDocument": "Sales Invoice",
  "sourceDocumentId": "string",
  "sourceDocumentReadableId": "string",
  "status": "Pending",
  "supplierId": "string",
  "supplierInteractionId": "string",
  "tags": [
    "string"
  ],
  "trackingNumber": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "shipmentId": {
      "type": "string"
    }
  },
  "required": [
    "shipmentId"
  ]
}